FODimension (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.datatypes

## Class FODimension

- java.lang.Object
- - org.apache.fop.datatypes.FODimension

-     public class FODimension
      extends java.lang.Object

  This datatype hold a pair of resolved lengths, specifiying the dimensions in both inline and block-progression-directions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bpd` distance (in millipoints) on the block-progression-direction
    `int` | `ipd` distance (in millipoints) on the inline-progression-direction

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FODimension(int ipd, int bpd)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBPD()`
    `int` | `getIPD()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ipd

          public int ipd

      distance (in millipoints) on the inline-progression-direction

    - #### bpd

          public int bpd

      distance (in millipoints) on the block-progression-direction

  - ### Constructor Detail

    - #### FODimension

          public FODimension(int ipd,
                             int bpd)

      Constructor
      Parameters:
        `ipd` - length (in millipoints) of the inline-progression-direction
        `bpd` - length (in millipoints) of the block-progression-direction

  - ### Method Detail

    - #### getIPD

          public int getIPD()

      Returns:
        ipd

    - #### getBPD

          public int getBPD()

      Returns:
        bpd

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.